<#assign self_content>

    /**
    * 提交工作流
    *
    * @memberof ${srfclassname('${view.name}')}
    */
    public onOk(){
        const form:any = this.$refs.form;
        if(!form){
            return;
        }
        if(!form || !(form.save instanceof Function)){
            return;
        }
        const _this: any = this;
        const _data = { srfparentdata: _this.srfparentdata };
        form.save(_data).then((response:any)=>{
            if(!response){
                return;
            }
            form.startWorkFlow(response).then((response:any)=>{
                if(!response){
                    return;
                }
                this.close();
            }).catch((response:any)=>{
                this.$notify({type:'danger',message:"开始流程异常!!!"});
            })
        })
    }

    /**
     * 返回上一级
     *
     * @memberof ${srfclassname('${view.name}')}
     */
    public close() {
        if(this.isModalMode){
            this.$emit('close',{});
        }else{
            this.$router.go(-1);
        }
    }

</#assign>