<#assign self_content>

    /**
     * 返回上一级
     *
     * @memberof ${srfclassname('${view.name}')}
     */
    public close() {
        if(this.isModalMode){
            this.$emit('close',{});
        }else{
            this.$router.go(-1);
        }
    }
    /**
    * 视图抛出值变化事件
    *
    * @public
    * @memberof WorkFlowMobWFActionView
    */
    public viewDataChanges($event:any){
        this.$emit('viewdataschange',$event);
    }

    /**
     * 确定
     *
     * @public
     * @memberof ${srfclassname('${view.name}')}
     */
    public onOk($event:any){
        this.viewState.next({ tag:'form', action: 'save', data:this.viewdata });
        // let _this:any = this;
        // let stepPromise =  this.wf_Step(_this.engine.viewdata.item,$event,(this.$refs.form as any).data);
        // if(stepPromise){
        //     stepPromise.then((res:any) =>{
        //     if(!res){
        //         this.$notify({ type: 'danger', message: _this.engine.viewdata.item.name+'失败'});
        //         return;
        //     }
        //         this.$notify({ type: 'success', message: _this.engine.viewdata.item.name+'成功'});
        //         this.close();
        //     }).catch((error:any) =>{
        //         this.$notify({ type: 'danger', message: _this.engine.viewdata.item.name+'失败'});
        //     })
        // }else{
        //         this.$notify({ type: 'danger', message: '请求失败了'});
        // }
    }

    /**
     * 工作流步骤
     *
     * @private
     * @param {*} item
     * @param {*} $event
     * @param {*} [data]
     * @returns {Promise<any>}
     * @memberof ${srfclassname('${view.name}')}
     */
    private async wf_Step(item: any, $event: any, data?: any): Promise<any> {
        let _this:any = this;
        const arg: any = { args: {} };
        if (data) {
            Object.assign(arg, data);
        }
        if (_this.engine && _this.engine.viewdata && _this.engine.viewdata.srfkey) {
            Object.assign(arg, { srfkey: _this.engine.viewdata.srfkey });
        }
        if (!arg.srfkey || Object.is(arg.srfkey, '')) {
            return;
        }
        Object.assign(arg, { link: item.id });
        if (!arg.link || Object.is(arg.link, '')) {
            return;
        }

        const url: string = '${app.getPKGCodeName()?lower_case}/${de.getPSSystemModule().codeName?lower_case}/${de.codeName?lower_case}/wflink';
        const post: Promise<any> = this.$http.post(url, arg);
        return post;

    }

</#assign>