<#assign self_content>

    /**
    * meditview9状态下发变量
    *
    * @memberof IBZSAM02MobEditView
    */
    @Prop() public panelState ?:Subject<ViewState>;

    /**
    * 返回上一级
    *
    * @memberof ${srfclassname('${view.name}')}
    */
    public close(args?:any) {
        if(this.isModalMode){
            this.$emit('close',{action:'close',data:args});
        }else{
            this.$router.go(-1);
        }
    }

    /**
    * 打开ActionSheet
    *
    * @memberof ${srfclassname('${view.name}')}
    */
    public openActionSheet(){
        let toolBarArray:Array<any> = [];
        <#if view.hasPSControl('righttoolbar')>
            <#assign righttoolbar = view.getPSControl('righttoolbar')>
            <#list righttoolbar.getPSDEToolbarItems() as deuiactionItem>
                <#if deuiactionItem.getItemType() == 'DEUIACTION'>
         toolBarArray.push({ 'name': '${deuiactionItem.getCaption()}',tag:'${deuiactionItem.getName()}'});
                <#elseif  deuiactionItem.getItemType() == 'ITEMS'>
                    <#list deuiactionItem.getPSDEToolbarItems() as moreItem>
         toolBarArray.push({ 'name': '${moreItem.getCaption()}',tag:'${moreItem.getName()}'});
                    </#list>
                </#if>
            </#list>
        </#if>
        toolBarArray.push({ 'name': '返回',tag:'close'});
        let subject = this.$actionSheet({actions:toolBarArray}).show();
        subject.subscribe((res:any) =>{
        <#if view.hasPSControl('righttoolbar')>
            if(res.tag!='close'){
                this.righttoolbar_click(res);
            }
        </#if>
            if(res.tag=='close'){
                this.close();
            }
        })
    }
</#assign>
<#assign mounted_block>
        if(this.panelState){
            this.panelState.subscribe((res:any) =>{
            if(Object.is(res.tag,'meditviewpanel')){
                if(Object.is(res.action,'save')){
                    this.viewState.next({ tag:'form', action: 'save', data:res.data});
                }
                if(Object.is(res.action,'remove')){
                    this.viewState.next({ tag:'form', action: 'remove', data:res.data });
                }
            }
        });
        }
</#assign>