<#assign self_content>
        
        /**
        * 数据选择视图选中项
        *
        * @type {any}
        * @memberof ${srfclassname('${view.codeName}')}
        */
        @Prop() public selectedData?:any;

        /**
         * 确认点击保存事件
         *
         * @memberof ${srfclassname('${view.name}')}
         */
        public confirm() {
            this.viewState.next({ tag: "tree", action: "save", data: this.viewdata });
        }

        /**
         * 树部件回传信息
         *
         * @memberof ${srfclassname('${view.name}')}
         */
        public change(data:any) {
            this.$emit('viewdataschange',{data:data});
            this.close();
        }

        /**
        * 返回上一级
        *
        * @memberof ${srfclassname('${view.name}')}
        */
        public close() {
            if(this.isModalMode){
                this.$emit('close',{});
            }else{
                this.$router.go(-1);
            }
        }
</#assign>