<#assign self_content>
        /**
        * 倒数秒数
        *
        * @type number
        * @memberof ${srfclassname('${view.name}')}
        */
        public seconds:number = 5;
    

        /**
         * 倒数计时
         *
         * @memberof ${srfclassname('${view.name}')}
         */
        public countdown() {
            let time = window.setInterval( () => {
                if (this.seconds === 0) {
                    this.toPage();
                    window.clearInterval(time)
                } else {
                    this.seconds -= 1;
                }
            }, 1000);
        }

        /**
         * 页面跳转
         *
         * @memberof ${srfclassname('${view.name}')}
         */
        public toPage() {
            if (window.localStorage.getItem('srfloginkey') && window.localStorage.getItem('userInfo')  ){
                this.$router.push('/');
            } else {
                this.$router.push({ name: 'login'});
            }
        }
</#assign>

<#assign mounted_block>
    this.countdown();
</#assign>